=== debian/changelog ===
ros-indigo-cob-bms-driver (0.6.12-0trusty) trusty; urgency=high

  * update maintainer
  * Merge pull request #374 <https://github.com/ipa320/cob_driver/issues/374> from floweisshardt/feature/round_remaining_capacity
    round remaining_capacity
  * adjust to real driver precision
  * round remaining_capacity
  * Contributors: Felix Messmer, fmessmer, ipa-fmw, ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-bms-driver (0.6.11-0trusty) trusty; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #364 <https://github.com/ipa320/cob_driver/issues/364> from ipa-fxm/fake_bms_diagnostics
    use diagnostic updater in fake_bms
  * use diagnostic updater in fake_bms
  * Merge pull request #361 <https://github.com/ipa320/cob_driver/issues/361> from ipa-fxm/set_relative_remaining_capacity
    set relative remaining capacity
  * set relative remaining capacity
  * Merge pull request #341 <https://github.com/ipa320/cob_driver/issues/341> from ipa-fxm/APACHE_license
    use license apache 2.0
  * change maintainer
  * use license apache 2.0
  * Contributors: Felix Messmer, Florian Weisshardt, ipa-fxm, ipa-uhr-mk

 -- Florian Weisshardt <florian.weisshardt@ipa.fraunhofer.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-bms-driver (0.6.10-0trusty) trusty; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 23 Jul 2017 22:00:00 -0000

ros-indigo-cob-bms-driver (0.6.9-0trusty) trusty; urgency=high

  * minor change for handling exception
  * made changes which only sets the current that in turn is used by power_aggregator for relative_remaining_capacity calculation
  * fix typo
  * added emulation of realistic current value
  * minor change for publishing a realistic voltage value
  * Merge pull request #310 <https://github.com/ipa320/cob_driver/issues/310> from souravran/feature/fake_bms
    added a fake bms with set_charging and set_relative_remaining_capacity services
  * finalize exception handling
  * fake current
  * consistent naming
  * publish diagnostics in fake_bms
  * harmonize namespaces of fake_bms
  * uses the default parameter value
  * poll frequency has been set from the parameter list
  * made changes as per the review.
    power state elements being published at 20 Hz.
    removed junk rospy log and changed division_by_zero error message.
  * fake_bms publishing all power_state entities.
    added exception handling in power_state_aggregator.
    added package dependency and install tags.
  * added a fake bms with set_charging and set_relative_remaining_capacity services
  * fix typo
  * fix powerstate aggregator charging flag (bms is not delivering correct flag for full battery and docked)
  * use bms flag for harging
  * fix identation
  * use spaces for indention in BMS driver
  * updated authors
  * added support for bit_mask'ed booleans
  * make BmsParameter an abstract base class
  * BMS driver clean-up
  * switch from map of vectors to multimap in BMS driver
  * simplified BMS publisher creation and polling list optimization
  * simplified BMS config parsing
  * manually fix changelog
  * Contributors: Felix Messmer, Florian Weisshardt, Mathias Lüdtke, Nadia Hammoudeh García, fmw-ss, ipa-fxm, robot

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-cob-bms-driver (0.6.8-0trusty) trusty; urgency=high

  * restart CAN on failure
  * move power_state_phidget node to new package
  * invert current + round values
  * fix typo
  * corrected namespace
  * added node to calculate powerstate from phidget board
  * Contributors: Benjamin Maidel, Mathias Lüdtke

 -- Mathias Luedtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-bms-driver (0.6.7-0trusty) trusty; urgency=high

  * add missing dependencies
  * Contributors: ipa-fxm

 -- Mathias Luedtke <mathias.luedtke@ipa.fraunhofer.de>  Fri, 01 Apr 2016 22:00:00 -0000

ros-indigo-cob-bms-driver (0.6.6-0trusty) trusty; urgency=high

  * dependency and package cleanup
  * remove config and launch as it is added to cob_robots
  * adjust version
  * move cob_bms_driver to cob_driver
  * Contributors: ipa-fxm

 -- Mathias Luedtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-bms-driver (0.6.5-0trusty) trusty; urgency=high



 -- Mathias Luedtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-indigo-cob-bms-driver (0.6.4-0trusty) trusty; urgency=high



 -- Mathias Luedtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-indigo-cob-bms-driver (0.6.3-0trusty) trusty; urgency=high



 -- Mathias Luedtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-bms-driver (0.6.2-0trusty) trusty; urgency=high



 -- Mathias Luedtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-indigo-cob-bms-driver (0.6.1-0trusty) trusty; urgency=high



 -- Mathias Luedtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 16 Sep 2014 22:00:00 -0000

ros-indigo-cob-bms-driver (0.6.0-0trusty) trusty; urgency=high



 -- Mathias Luedtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 08 Sep 2014 22:00:00 -0000

ros-indigo-cob-bms-driver (0.5.7-0trusty) trusty; urgency=high



 -- Mathias Luedtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 26 Aug 2014 07:47:00 -0000

ros-indigo-cob-bms-driver (0.5.6-0trusty) trusty; urgency=high



 -- Mathias Luedtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 26 Aug 2014 07:42:00 -0000

ros-indigo-cob-bms-driver (0.5.5-0trusty) trusty; urgency=high



 -- Mathias Luedtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 26 Aug 2014 06:33:00 -0000

ros-indigo-cob-bms-driver (0.5.4-0trusty) trusty; urgency=high



 -- Mathias Luedtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 24 Aug 2014 22:00:00 -0000

ros-indigo-cob-bms-driver (0.5.3-0trusty) trusty; urgency=high




