=== debian/control ===
Source: ros-indigo-cob-bms-driver
Section: misc
Priority: extra
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-roscpp, ros-indigo-socketcan-interface, ros-indigo-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-cob-bms-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-numpy, ros-indigo-cob-msgs, ros-indigo-cob-srvs, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-socketcan-interface, ros-indigo-std-msgs
Description: Driver package for interfacing the battery management system (BMS) on Care-O-bot.
